## r-cran-jrc 0.3.1

=== DESCRIPTION ===
Package: jrc
Type: Package
Title: Exchange Commands Between R and 'JavaScript'
Version: 0.3.1
Date: 2020-02-06
Authors@R: c(
	person("Svetlana", "Ovchinnikova", role = c("aut", "cre"), email = "s.ovchinnikova@zmbh.uni-heidelberg.de"),
	person("Simon", "Anders", role = c("aut"), email = "sanders@fs.tum.de")
	)
Description: An 'httpuv' based bridge between R and 'JavaScript'. Provides an easy way to exchange commands and data between a web page and a currently running R session. 
License: GPL-3
Imports: httpuv, jsonlite, utils, stringr, stringi, mime, R6
RoxygenNote: 7.0.1
URL: https://github.com/anders-biostat/jrc
BugReports: https://github.com/anders-biostat/jrc/issues
Suggests: testthat
NeedsCompilation: no
Packaged: 2020-02-07 10:44:52 UTC; tyranchick
Author: Svetlana Ovchinnikova [aut, cre],
  Simon Anders [aut]
Maintainer: Svetlana Ovchinnikova <s.ovchinnikova@zmbh.uni-heidelberg.de>
Repository: CRAN
Date/Publication: 2020-02-07 11:40:02 UTC

=== debian/changelog ===
r-cran-jrc (0.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0

 -- Dylan Aïssi <daissi@debian.org>  Tue, 11 Feb 2020 11:51:02 +0100

r-cran-jrc (0.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends
  * Set upstream metadata fields: Bug-Submit, Repository.

 -- Andreas Tille <tille@debian.org>  Wed, 15 Jan 2020 19:11:49 +0100

r-cran-jrc (0.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends
  * Set upstream metadata fields: Archive, Bug-Database, Repository.

 -- Andreas Tille <tille@debian.org>  Tue, 12 Nov 2019 11:49:29 +0100

r-cran-jrc (0.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.4.1
  * Trim trailing whitespace.

 -- Dylan Aïssi <daissi@debian.org>  Wed, 30 Oct 2019 10:03:57 +0100

r-cran-jrc (0.1.1-1) unstable; urgency=medium

  * Initial release (closes: #940480)

 -- Steffen Moeller <moeller@debian.org>  Mon, 16 Sep 2019 11:44:12 +0200

=== debian/control ===
Source: r-cran-jrc
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-httpuv,
               r-cran-jsonlite,
               r-cran-stringr,
               r-cran-stringi,
               r-cran-mime,
               r-cran-r6
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-jrc
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-jrc.git
Homepage: https://cran.r-project.org/package=jrc

Package: r-cran-jrc
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Exchange Commands Between R and 'JavaScript'
 An 'httpuv' based bridge between R and 'JavaScript'. Provides an easy
 way to exchange commands and data between a web page and a currently
 running R session.

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/jrc_([-\d.]*)\.tar\.gz

## r-cran-jrc 0.4.0

=== DESCRIPTION ===
Package: jrc
Type: Package
Title: Exchange Commands Between R and 'JavaScript'
Version: 0.4.0
Date: 2020-09-25
Authors@R: c(
	person("Svetlana", "Ovchinnikova", role = c("aut", "cre"), email = "s.ovchinnikova@zmbh.uni-heidelberg.de"),
	person("Simon", "Anders", role = c("aut"), email = "sanders@fs.tum.de")
	)
Description: An 'httpuv' based bridge between R and 'JavaScript'. Provides an easy way to exchange commands and data between a web page and a currently running R session. 
License: GPL-3
Imports: httpuv, jsonlite, utils, stringr, stringi, mime, R6, R.utils
RoxygenNote: 7.1.1
URL: https://github.com/anders-biostat/jrc
BugReports: https://github.com/anders-biostat/jrc/issues
Suggests: testthat
NeedsCompilation: no
Packaged: 2020-09-25 20:51:51 UTC; tyranchick
Author: Svetlana Ovchinnikova [aut, cre],
  Simon Anders [aut]
Maintainer: Svetlana Ovchinnikova <s.ovchinnikova@zmbh.uni-heidelberg.de>
Repository: CRAN
Date/Publication: 2020-09-25 21:20:03 UTC

=== debian/changelog ===
r-cran-jrc (0.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 29 Sep 2020 11:18:20 +0200

r-cran-jrc (0.3.1-2) unstable; urgency=medium

  * Team upload.
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 19 May 2020 09:27:32 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-httpuv,
@@ -12,11 +12,13 @@
                r-cran-stringr,
                r-cran-stringi,
                r-cran-mime,
-               r-cran-r6
+               r-cran-r6,
+               r-cran-r.utils
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-jrc
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-jrc.git
 Homepage: https://cran.r-project.org/package=jrc
+Rules-Requires-Root: no
 
 Package: r-cran-jrc
 Architecture: all

## r-cran-jrc 0.5.1

=== DESCRIPTION ===
Package: jrc
Type: Package
Title: Exchange Commands Between R and 'JavaScript'
Version: 0.5.1
Date: 2022-01-03
Authors@R: c(
	person("Svetlana", "Ovchinnikova", role = c("aut", "cre"), email = "s.ovchinnikova@zmbh.uni-heidelberg.de"),
	person("Simon", "Anders", role = c("aut"), email = "sanders@fs.tum.de")
	)
Description: An 'httpuv' based bridge between R and 'JavaScript'. Provides an easy way to exchange commands and data between a web page and a currently running R session. 
License: GPL-3
Imports: httpuv, jsonlite, utils, stringr, stringi, mime, R6, R.utils
RoxygenNote: 7.1.2
URL: https://github.com/anders-biostat/jrc
BugReports: https://github.com/anders-biostat/jrc/issues
Suggests: testthat
Language: en-GB
NeedsCompilation: no
Packaged: 2022-01-04 14:46:32 UTC; tyranchick
Author: Svetlana Ovchinnikova [aut, cre],
  Simon Anders [aut]
Maintainer: Svetlana Ovchinnikova <s.ovchinnikova@zmbh.uni-heidelberg.de>
Repository: CRAN
Date/Publication: 2022-01-04 16:10:06 UTC

=== debian/changelog ===
r-cran-jrc (0.5.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Disable reprotest

 -- Andreas Tille <tille@debian.org>  Fri, 14 Jan 2022 22:12:43 +0100

r-cran-jrc (0.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 20 Sep 2021 17:28:51 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                r-cran-mime,
                r-cran-r6,
                r-cran-r.utils
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-jrc
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-jrc.git
 Homepage: https://cran.r-project.org/package=jrc

## r-cran-jrc 0.6.0

=== DESCRIPTION ===
Package: jrc
Type: Package
Title: Exchange Commands Between R and 'JavaScript'
Version: 0.6.0
Date: 2023-08-22
Authors@R: c(
	person("Svetlana", "Ovchinnikova", role = c("aut", "cre"), email = "s.ovchinnikova@zmbh.uni-heidelberg.de"),
	person("Simon", "Anders", role = c("aut"), email = "sanders@fs.tum.de")
	)
Description: An 'httpuv' based bridge between R and 'JavaScript'. Provides an easy way to exchange commands and data between a web page and a currently running R session. 
License: GPL-3
Imports: httpuv, jsonlite, utils, stringr, stringi, mime, R6, R.utils
RoxygenNote: 7.2.3
URL: https://github.com/anders-biostat/jrc
BugReports: https://github.com/anders-biostat/jrc/issues
Suggests: testthat
Language: en-GB
NeedsCompilation: no
Packaged: 2023-08-22 16:36:25 UTC; tyranchick
Author: Svetlana Ovchinnikova [aut, cre],
  Simon Anders [aut]
Maintainer: Svetlana Ovchinnikova <s.ovchinnikova@zmbh.uni-heidelberg.de>
Repository: CRAN
Date/Publication: 2023-08-23 13:50:05 UTC

=== debian/changelog ===
r-cran-jrc (0.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Update lintian override info format in d/source/lintian-overrides on line 2.

 -- Andreas Tille <tille@debian.org>  Thu, 31 Aug 2023 17:04:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: r-cran-jrc
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-jrc
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-jrc.git
+Homepage: https://cran.r-project.org/package=jrc
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -14,11 +18,7 @@
                r-cran-mime,
                r-cran-r6,
                r-cran-r.utils
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-jrc
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-jrc.git
-Homepage: https://cran.r-project.org/package=jrc
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-jrc
 Architecture: all
